%define aurox_ver 9.3
%define rel 1

#########################################################################
Name: enigma
Version: 0.81
Release: %{aurox_ver}.aur.%{rel}
Summary: Clone of the ATARI game Oxyd
Group: Amusements/Games
Copyright: GPL
URL: http://www.nongnu.org/enigma/
Prefix: /usr
Source: enigma-%{version}.tar.gz
Patch: enigma-0.81-install.patch
BuildRequires: SDL-devel >= 1.2.0, SDL_mixer-devel, SDL_image-devel, SDL_ttf-devel
BuildRequires: tolua
Buildroot: %{_tmppath}/%{name}-root

%description
Enigma is a tribute to and a re-implementation of one of the most               
original and intriguing computer games of the 1990's: Oxyd.  Your               
objective is easily explained: find and uncover all pairs of identical          
Oxyd stones in each landscape.  Sounds simple?  It would be, if it              
weren't for hidden traps, vast mazes, insurmountable obstacles and              
innumerable puzzles blocking your direct way to the Oxyd stones...              

#########################################################################
%clean
case "$RPM_BUILD_ROOT" in *-root) rm -rf $RPM_BUILD_ROOT ;; esac

%prep 
%setup 
%patch -p1

%build
aclocal
autoconf
LDFLAGS="-lstdc++" \
	%configure --enable-optimize --enable-tools
make

%install
case "$RPM_BUILD_ROOT" in *-root) rm -rf $RPM_BUILD_ROOT ;; esac
DESTDIR=$RPM_BUILD_ROOT make install
mv -f $RPM_BUILD_ROOT/%{_datadir}/doc/%{name} $RPM_BUILD_ROOT/%{_datadir}/doc/%{name}-%{version}

#########################################################################
%files
%defattr(-,root,root)
%{_bindir}/enigma
%docdir %{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}-%{version}/*
%{_datadir}/enigma
%{_mandir}/man6/enigma.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/enigma.png
%{_datadir}/pixmaps/enigma.png


# * Initial specfile by Achim Settelmeier <settel@sirlab.de>
%changelog
* Wed Jan 28 2004 Aurox Team <aurox@aurox.org> 0:0.81-9.3.aur.1
- configure with --enable-optimize --enable-tools
- fix configure: requires linking with libstdc++ when current SDL_mixer build with smpeg is used
- rebuild
- patch so that levels will install in _tmppath
- move docs to directory with version
- new package: enigma game

